Update Dataset Settings
curl --request PATCH \
--url https://api.example.com/api/datasets/{dataset_id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"branch_name": "<string>",
"webhook_url": "<string>",
"repo_url": "<string>",
"repo_access_token": "<string>",
"clear_repo_access_token": true,
"webhook_on_complete": true,
"webhook_on_failure": true,
"integrations": {},
"dataset_type": "<string>",
"dimension": "<string>",
"engine_overrides": {},
"off_topic_collective": true,
"excluded_patterns": [
"<string>"
],
"permissions": {
"view": {
"users": [
123
],
"roles": [
"<string>"
]
},
"edit": {
"users": [
123
],
"roles": [
"<string>"
]
}
}
}
'import requests
url = "https://api.example.com/api/datasets/{dataset_id}/settings"
payload = {
"name": "<string>",
"branch_name": "<string>",
"webhook_url": "<string>",
"repo_url": "<string>",
"repo_access_token": "<string>",
"clear_repo_access_token": True,
"webhook_on_complete": True,
"webhook_on_failure": True,
"integrations": {},
"dataset_type": "<string>",
"dimension": "<string>",
"engine_overrides": {},
"off_topic_collective": True,
"excluded_patterns": ["<string>"],
"permissions": {
"view": {
"users": [123],
"roles": ["<string>"]
},
"edit": {
"users": [123],
"roles": ["<string>"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
branch_name: '<string>',
webhook_url: '<string>',
repo_url: '<string>',
repo_access_token: '<string>',
clear_repo_access_token: true,
webhook_on_complete: true,
webhook_on_failure: true,
integrations: {},
dataset_type: '<string>',
dimension: '<string>',
engine_overrides: {},
off_topic_collective: true,
excluded_patterns: ['<string>'],
permissions: {
view: {users: [123], roles: ['<string>']},
edit: {users: [123], roles: ['<string>']}
}
})
};
fetch('https://api.example.com/api/datasets/{dataset_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"created_at": "<string>",
"updated_at": "<string>",
"last_scan_at": "<string>",
"vulnerabilities": 123,
"vulnerability_types": "<string>",
"scan_error": "<string>",
"branch_name": "main",
"is_main_branch": true,
"branch_family_uuid": "<string>",
"source_branch_uuid": "<string>",
"branch_origin": "<string>",
"branch_count": 1,
"owner_id": 123,
"permissions": {
"view": {
"users": [
123
],
"roles": [
"<string>"
]
},
"edit": {
"users": [
123
],
"roles": [
"<string>"
]
}
},
"can_edit": false,
"scans": [
{
"id": "<string>",
"scan_type": "<string>",
"dataset_dir": "<string>",
"params": {},
"status": "<string>",
"progress": 123,
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"dataset_id": "<string>",
"dataset_name": "<string>",
"engine_params": {},
"started_at": "<string>",
"finished_at": "<string>",
"duration_seconds": 123,
"total_issues": 0,
"critical_count": 0,
"high_count": 0,
"medium_count": 0,
"low_count": 0
}
],
"valid_images": 123,
"invalid_images": 123,
"document_count": 123,
"class_count": 123,
"classes": [
"<string>"
],
"image_specificity": "fine",
"active_scan_progress": 123,
"active_scan_elapsed_seconds": 123,
"active_scan_message": "<string>",
"active_scan_started_at": "<string>",
"active_scan_id": "<string>",
"active_scan_status": "<string>",
"active_scan_type": "<string>",
"issue_type": "<string>",
"webhook_url": "<string>",
"repo_url": "<string>",
"repo_requires_auth": true,
"has_repo_access_token": false,
"webhook_on_complete": false,
"webhook_on_failure": false,
"queued_scan_count": 0,
"issue_counts": {
"mislabel": 0,
"poison": 0,
"outlier": 0,
"bias": 0,
"shortcut": 0,
"flagged": 0
},
"latest_mislabel_scan_id": "<string>",
"processing": false,
"processed_3d": true,
"import_job_id": "<string>",
"import_provider": "<string>",
"import_status": "<string>",
"import_progress": 123,
"import_message": "<string>",
"import_error": "<string>",
"import_cancel_requested": false,
"import_updated_at": "<string>",
"import_has_stored_credentials": false,
"import_can_retry": false,
"dense_branch_build": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Update Dataset Settings
PATCH
/
api
/
datasets
/
{dataset_id}
/
settings
Update Dataset Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Available options:
fine, broad Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Available options:
UPLOADING, UNSCANNED, IN_QUEUE, SCANNING, SCANNED, QUARANTINED, STOPPED, FAILED Available options:
UNSCANNED, HEALTHY, UNHEALTHY-, UNHEALTHY+, CRITICAL Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
fine, broad Show child attributes
Show child attributes
⌘I

